Rated 5 out of 5 stars

Works great in firefox 3.6. Installing https://addons.mozilla.org/en-US/firefox/addon/15003 allows one to ignore version checks and report compatibility.

This review is for a previous version of the add-on (0.4.4).